Package net.shibboleth.idp.attribute.resolver.dc.saml.util.impl

# Class AttributeAuthorityEntityIDValue

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AttributeAuthorityEntityIDSource
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AttributeAuthorityEntityIDValue

public class AttributeAuthorityEntityIDValue extends AttributeAuthorityEntityIDSource
Sub-type of `AttributeAuthorityEntityIDSource` which specifies the entityID directly by value.

## Constructor Summary

Constructors
Constructor
Description
`AttributeAuthorityEntityIDValue(String entityID)`
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.AttributeAuthorityEntityIDSource

`getValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttributeAuthorityEntityIDValue

public AttributeAuthorityEntityIDValue(@Nonnull String entityID)
Constructor.

Parameters:
  `entityID` - the authority entityID value